be.ehealth.businessconnector.hubv3.util

## Class RequestListTypeBuilder

- java.lang.Object
- - be.ehealth.businessconnector.hubv3.util.RequestListTypeBuilder

-     public class RequestListTypeBuilder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROJECT_NAME`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestListTypeBuilder` | `addBreakTheGlass(String breakTheGlass)`
    `RequestListTypeBuilder` | `addGenericAuthor()`
    `RequestListTypeBuilder` | `addPaginationInfo(Paginationrequestinfo pagReqInfo)`
    `RequestList` | `build()`
    `static RequestListTypeBuilder` | `init()` creates a new RequestListTypeBuilder.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROJECT_NAME

          public static final String PROJECT_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### init

          public static RequestListTypeBuilder init()
                                             throws TechnicalConnectorException

      creates a new RequestListTypeBuilder. will initialize id ( with HcPartyUtil.createKmehrId , see kmehrcommons javadoc for configuration options ) , date and time ( current time )
      Returns:
        RequestListTypeBuilder
      Throws:
        `TechnicalConnectorException`

    - #### addGenericAuthor

          public RequestListTypeBuilder addGenericAuthor()
                                                  throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### addBreakTheGlass

          public RequestListTypeBuilder addBreakTheGlass(String breakTheGlass)

    - #### addPaginationInfo

          public RequestListTypeBuilder addPaginationInfo(Paginationrequestinfo pagReqInfo)

    - #### build

          public RequestList build()

Connector Package PERSMIDWIFE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.